[SECURITY] [DLA 808-1] ruby-archive-tar-minitar security update

2017-01-30T21:10:42
ID DEBIAN:DLA-808-1:128BF
Type debian
Reporter Debian
Modified 2017-01-30T21:10:42

Description

Package : ruby-archive-tar-minitar Version : 0.5.2-2+deb7u1 CVE ID : CVE-2016-10173 Debian Bug : 853249

It has been found that rubygem archive-tar-minitar allows attackers to overwrite arbitrary files during archive extraction via a .. (dot dot) in an extracted filename.

For Debian 7 "Wheezy", these problems have been fixed in version 0.5.2-2+deb7u1.

We recommend that you upgrade your ruby-archive-tar-minitar packages.

Further information about Debian LTS security advisories, how to apply these updates to your system and frequently asked questions can be found at: https://wiki.debian.org/LTS